Subject: ANNOUNCE: Tk::ObjScanner Beta version 0.1
From: Dominique Dumont <[email-masked]>
Date: 11 Feb 1998 22:53:48 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Hello

I'd like to announce the brand new beta version of the Tk::ObjScanner

ObjScanner is a composite widget made of a listbox and a test window
(actually a Multi::Text). This widget acts as a scanner to any perl object.
The scanner will retrieve all keys of the hash of the scanned object 
and insert them in the listbox. Then a double click on the list item will
display its content in the text window.

I grant you that reading all the attributes of an object is generally
considered as bad manners. But I found that this widget is really handy 
when debugging complex Tk applications which feature lot of independent 
objects.

This module was written with perl5.004 and Tk 402.003

See the embedded documentation in the module for more details.

Comments and suggestions are always welcome.

Suggested module line :

Tk::ObjScanner   bdpO Tk Object attributes scanner       DDUMONT

Share and enjoy

-- 
[email-masked]